/*------------------------------------*\
    #MENU-SOCIAL
\*------------------------------------*/
/**
 * Social navigation component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}menu-social,
%#{$inuit-namespace}menu-social {
    @media #{$medium-up} {
        //font-size: 76.47%;
    }
}

.#{$inuit-namespace}menu-social__list,
%#{$inuit-namespace}menu-social__list {
    @extend %o-list-bare;
}

.#{$inuit-namespace}menu-social__item,
%#{$inuit-namespace}menu-social__item {
    background: transparent;
    display: inline-block;
    height: drk-halve($drk-base-unit);
    margin-right: drk-quarter($drk-base-unit);
    width: drk-halve($drk-base-unit);
}

.#{$inuit-namespace}menu-social__headline,
%#{$inuit-namespace}menu-social__headline {
    font-weight: bold;
    margin-bottom: drk-quarter($drk-base-unit);
    margin-top: 0;
}

.#{$inuit-namespace}menu-social__icon,
%#{$inuit-namespace}menu-social__icon {
    padding: 0;
    fill: $drk-color-grey;
    transition: .2s fill ease;

    .#{$inuit-namespace}menu-social__link:hover &,
    %#{$inuit-namespace}menu-social__link:hover &,
    .#{$inuit-namespace}menu-social__link:focus &,
    %#{$inuit-namespace}menu-social__link:focus & {
        fill: darken($drk-color-grey, 20);
    }
}
